net.i2p.crypto

## Enum EncAlgo

- java.lang.Object
- - java.lang.Enum<EncAlgo>
  - - net.i2p.crypto.EncAlgo

- All Implemented Interfaces:
    Serializable, Comparable<EncAlgo>

      public enum EncAlgo
      extends Enum<EncAlgo>

  Base encryption algorithm type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EC`
    `ECIES` ECIES encryption.
    `ECIES_MLKEM` ECIES-MLKEM hybrid encryption.
    `ECIES_MLKEM_INT` ECIES-MLKEM hybrid encryption (internal).
    `ELGAMAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static EncAlgo` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EncAlgo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EC

          public static final EncAlgo EC

    - #### ECIES

          public static final EncAlgo ECIES

      ECIES encryption.

    - #### ECIES_MLKEM

          public static final EncAlgo ECIES_MLKEM

      ECIES-MLKEM hybrid encryption.

    - #### ECIES_MLKEM_INT

          public static final EncAlgo ECIES_MLKEM_INT

      ECIES-MLKEM hybrid encryption (internal).

    - #### ELGAMAL

          public static final EncAlgo ELGAMAL

  - ### Method Detail

    - #### getName

          public String getName()

    - #### valueOf

          public static EncAlgo valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static EncAlgo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncAlgo c : EncAlgo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared